<template>
  <div class="brief text-white">
    <div class="row">
      <div class="col-sm-8">
        <h3 class="brief__titulo">{{ titulo }}</h3>
        <div class="fecha text-right">{{ formatDate(fecha) }}</div>
        <div class="resumen" style="font-size: 1.2rem">{{ resumen }}</div>
        <span class="align-items-center">
          <router-link :to="{ name: 'Single', params: {id: id}}" class="btn mt-4 mb-4">Leer más</router-link>
        </span>
      </div>
      <div class="col-sm-4" style="text-align: center">
        <img class="img-fluid" :src="url" :alt="titulo">
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Brief',
  props: ['id', 'url', 'titulo', 'resumen', 'fecha'],
  data () {
    return {
    }
  },
  methods: {
    formatDate: function (text) {
      let myDate = new Date(text)
      return `${myDate.getDate()}/${myDate.getMonth() + 1}/${myDate.getFullYear()}`
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style>
</style>
